/*
 *  ALTerator - ALT Linux configuration project
 *
 *  Copyright (c) 2004,2005 ALT Linux Ltd.
 *  Copyright (c) 2004,2005 Stanislav Ievlev
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */
#ifndef DIALOG_HH
#define DIALOG_HH

#include <string>

#include <command_set.hh>
#include <eval.hh>

struct dialog
{
	enum widget_type
	{
	    label,
	    button,
	    listbox,
	    textbox,
	    variable
	};

	virtual ~dialog() {};

	virtual void
	add_button(const std::string&, const std::string&, long) = 0;
	virtual void
	add_listbox(const std::string&,const std::string&,long) = 0;
	virtual void
	add_textbox(const std::string&,const std::string&,long) = 0;
	virtual void
	add_label(const std::string&,const std::string&) = 0;
	virtual void
	add_variable(const std::string&,const std::string&) = 0;

	virtual void
	set_attr(const std::string&,const std::string&,const std::string&) = 0;
	virtual std::string
	get_attr(const std::string&,const std::string&) = 0;

	virtual void begin_hbox() = 0;
	virtual void end_hbox() = 0;

	virtual void begin_vbox() = 0;
	virtual void end_vbox() = 0;
};

command_set load_dialog(const std::string& filename, dialog& d,evaluator& e);


#endif // DIALOG_HH
