/*
 *  ALTerator - ALT Linux configuration project
 *
 *  Copyright (c) 2004,2005 ALT Linux Ltd.
 *  Copyright (c) 2004,2005 Stanislav Ievlev
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */
#ifndef PROBE_DIALOG_HH
#define PROBE_DIALOG_HH

#include <context.hh>
#include <iosfwd>

#include <dialog.hh>

class probe_dialog: public dialog
{
public:
	typedef std::map<char, std::string> actions_t;
	typedef std::map<std::string, long> buttons_t;

private:
	std::string screen_;
	actions_t actions_;
	buttons_t buttons_;
	context values_;
	char lastaction_;

public:
	probe_dialog(void): lastaction_('a' - 1) {}

	void
	add_button(const std::string&, const std::string&, long);

	void
	add_label(const std::string&, const std::string&);

	void
	add_edit(const std::string&, const std::string&);

	void
	show(std::ostream&) const;

	long
	run(std::ostream&, std::istream&);
};

#endif // PROBE_DIALOG_HH
