/*
 *  ALTerator - ALT Linux configuration project
 *
 *  Copyright (c) 2004,2005 ALT Linux Ltd.
 *  Copyright (c) 2004,2005 Stanislav Ievlev
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */
#ifndef QTLOOK_HH__
#define QTLOOK_HH__

#include <qtlook/dialog.hh>
#include <utils/singleton.hh>
#include <utils/shared_ptr.hh>

#include <eval.hh>
#include <mapper.hh>

typedef alt::shared_ptr<qtlook::dialog> dialog_ptr;


typedef alt::singleton_holder<dialog_ptr> qtlook_dialog;
typedef alt::singleton_holder<evaluator> qtlook_eval;
extern mapper *qtlook_mapper;


bool process_cmd(const command& cmd, command_set& c);

result qtlook_lookup(const std::list<result>& args, const evaluator& eval);
result qtlook_enlist(const std::list<result>& args, const evaluator& eval);
result qtlook_cat(const std::list<result>& args, const evaluator& eval);

void alert(const std::string& caption,const std::string& message);
void cmd_alert(const command& cmd);

#endif
